-- --------------------------------------------------------------------------
--
-- Create other users 
--
--  project : SIH-Adagio :: Core Server
--  version : 4.1.23 for ${pom.env}
--      env : ${pom.env} - ${pom.profil}
--     date : ${pom.date.fr}
--
--  Copyright Ifremer 2009
-- 
-- 01/02/09 BL  Creation
-- 28/05/09 EB  modification suite aux differents echanges
-- 27/01/11 BL  Modification pour mieux correspondre au découpage Adagio/Presto
-- --------------------------------------------------------------------------
-- --------------------------------------------------------------------------
-- IMPORTANT NOTE : Execute the sql file with SYSTEM privilege
-- --------------------------------------------------------------------------

-- --------------------------------------------------------------------------
-- administration en interactif du contenu des tables (maintenance référentiel)
-- --------------------------------------------------------------------------
CREATE USER "SIH2_ADAGIO_ADM" IDENTIFIED BY "xxx"
DEFAULT TABLESPACE "${sql.oracle.tablespace.default}"
TEMPORARY TABLESPACE "TEMP";

-- --------------------------------------------------------------------------
-- lancement de traitements batch
-- --------------------------------------------------------------------------
CREATE USER "SIH2_ADAGIO_BATCH" IDENTIFIED BY "xxx"
DEFAULT TABLESPACE "${sql.oracle.tablespace.default}"
TEMPORARY TABLESPACE "TEMP";

-- --------------------------------------------------------------------------
-- lancement de traitements de mise à jour des géométries
-- --------------------------------------------------------------------------
CREATE USER "SIH2_ADAGIO_BATCH_GEOMETRY" IDENTIFIED BY "xxx"
DEFAULT TABLESPACE "${sql.oracle.tablespace.default}"
TEMPORARY TABLESPACE "TEMP";

-- --------------------------------------------------------------------------
-- utilisateur Web
-- --------------------------------------------------------------------------
CREATE PROFILE "PFSIH2_ADAGIO_WEB" LIMIT CPU_PER_SESSION DEFAULT CPU_PER_CALL UNLIMITED 
    CONNECT_TIME 180 IDLE_TIME DEFAULT SESSIONS_PER_USER 10 
    LOGICAL_READS_PER_SESSION DEFAULT LOGICAL_READS_PER_CALL 
    500000 PRIVATE_SGA DEFAULT COMPOSITE_LIMIT DEFAULT 
    FAILED_LOGIN_ATTEMPTS DEFAULT PASSWORD_LOCK_TIME DEFAULT 
    PASSWORD_GRACE_TIME DEFAULT PASSWORD_LIFE_TIME DEFAULT 
    PASSWORD_REUSE_MAX DEFAULT PASSWORD_REUSE_TIME DEFAULT 
    PASSWORD_VERIFY_FUNCTION DEFAULT;

CREATE USER "SIH2_ADAGIO_WEB" IDENTIFIED BY "xxx"
DEFAULT TABLESPACE "${sql.oracle.tablespace.default}"
TEMPORARY TABLESPACE "TEMP"
PROFILE "PFSIH2_ADAGIO_WEB";

-- --------------------------------------------------------------------------
-- profil "bac à sable", avec limitation des ressources
-- --------------------------------------------------------------------------
CREATE PROFILE "PFSIH2_ADAGIO_SANDBOX" LIMIT CPU_PER_SESSION DEFAULT CPU_PER_CALL UNLIMITED 
    CONNECT_TIME 180 IDLE_TIME DEFAULT SESSIONS_PER_USER 10 
    LOGICAL_READS_PER_SESSION DEFAULT LOGICAL_READS_PER_CALL 
    500000 PRIVATE_SGA DEFAULT COMPOSITE_LIMIT DEFAULT 
    FAILED_LOGIN_ATTEMPTS DEFAULT PASSWORD_LOCK_TIME DEFAULT 
    PASSWORD_GRACE_TIME DEFAULT PASSWORD_LIFE_TIME DEFAULT 
    PASSWORD_REUSE_MAX DEFAULT PASSWORD_REUSE_TIME DEFAULT 
    PASSWORD_VERIFY_FUNCTION DEFAULT;

CREATE USER "SIH2_ADAGIO_SANDBOX" IDENTIFIED BY "xxx"
DEFAULT TABLESPACE "${sql.oracle.tablespace.default}"
TEMPORARY TABLESPACE "TEMP"
PROFILE "PFSIH2_ADAGIO_SANDBOX";

-- --------------------------------------------------------------------------
-- droits de connection à la base
-- --------------------------------------------------------------------------
GRANT CONNECT TO SIH2_ADAGIO_ADM;
GRANT CONNECT TO SIH2_ADAGIO_BATCH;
GRANT CONNECT TO SIH2_ADAGIO_WEB;
GRANT CONNECT TO SIH2_ADAGIO_SANDBOX;
GRANT CONNECT TO SIH2_ADAGIO_BATCH_GEOMETRY;
